using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.ApplicationModel.Resources;

namespace TileSamples
{
    public static class Strings
    {
        private static ResourceLoader _loader = ResourceLoader.GetForCurrentView("TileSamplesLib/Resources");

        public static string DownloadFlickrErrorMessage
        {
            get
            {
                return _loader.GetString("DownloadFlickrErrorMessage");
            }
        }

        public static string SampleDataTitle
        {
            get
            {
                return _loader.GetString("SampleDataTitle");
            }
        }

        public static string SampleDataHeader
        {
            get
            {
                return _loader.GetString("SampleDataHeader");
            }
        }

        public static string SessionStateErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateErrorMessage");
            }
        }

        public static string SessionStateKeyErrorMessage
        {
            get
            {
                return _loader.GetString("SessionStateKeyErrorMessage");
            }
        }

        public static string SuspensionManagerErrorMessage
        {
            get
            {
                return _loader.GetString("SuspensionManagerErrorMessage");
            }
        }

        public static string UniqueIdItemsArgumentException
        {
            get
            {
                return _loader.GetString("UniqueIdItemsArgumentException");
            }
        }

        public static string OverviewName
        {
            get
            {
                return _loader.GetString("OverviewName");
            }
        }

        public static string OverviewTitle
        {
            get
            {
                return _loader.GetString("OverviewTitle");
            }
        }

        public static string OverviewDescription
        {
            get
            {
                return _loader.GetString("OverviewDescription");
            }
        }

        public static string FlickrName
        {
            get
            {
                return _loader.GetString("FlickrName");
            }
        }

        public static string FlickrTitle
        {
            get
            {
                return _loader.GetString("FlickrTitle");
            }
        }

        public static string FlickrDescription
        {
            get
            {
                return _loader.GetString("FlickrDescription");
            }
        }

        public static string ContentSourceName
        {
            get
            {
                return _loader.GetString("ContentSourceName");
            }
        }

        public static string ContentSourceTitle
        {
            get
            {
                return _loader.GetString("ContentSourceTitle");
            }
        }

        public static string ContentSourceDescription
        {
            get
            {
                return _loader.GetString("ContentSourceDescription");
            }
        }

        public static string GridViewName
        {
            get
            {
                return _loader.GetString("GridViewName");
            }
        }

        public static string GridViewTitle
        {
            get
            {
                return _loader.GetString("GridViewTitle");
            }
        }

        public static string GridViewDescription
        {
            get
            {
                return _loader.GetString("GridViewDescription");
            }
        }

        public static string InitializationException
        {
            get
            {
                return _loader.GetString("InitializationException");
            }
        }
    }
}
